[![pipeline status](https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/badges/master/pipeline.svg)](https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/commits/master)

# autonomic-cooperative.gitlab.io

A [Jekyll] based site for the Autonomic Cooperative.

The template is based on the [spectral-jekyll-theme].

[Jekyll]: https://jekyllrb.com/
[spectral-jekyll-theme]: https://github.com/andrewbanchich/spectral-jekyll-theme

# Quick Start

For those unfamiliar with how Jekyll works, check out [jekyll.rb] for all the
details, or read up on the basics of [front matter], [writing posts] and
[creating pages].

[jekyll.rb]: https://jekyllrb.com/
[front matter]: https://jekyllrb.com/docs/frontmatter/
[writing posts]: https://jekyllrb.com/docs/posts/
[creating pages]: https://jekyllrb.com/docs/pages/

In order to not blow up your computer handling a system wide Ruby installation, it is
advised that you use [RVM](https://rvm.io/rvm/install).

Once you've got that installed and configured, get the latest version of Ruby with:

```bash
$ rvm install 2.4.2
```

Select that version and then create an isolated [gemset](https://rvm.io/gemsets/basics) with:

```bash
$ rvm use 2.4.2
$ rvm gemset create autonomic
$ rvm gemset use autonomic
```

Then you can get your Ruby dependencies installed with:

``` bash
$ gem install jekyll bundler
```

And serve the website locally with:

``` bash
$ jekyll serve
```

You can edit content in the `.md` files under `src` and `src/_posts`.

When you're hacking later on (or in a new shell), you'll need to run:

``` bash
$ rvm use 2.4.2
$ rvm gemset use autonomic
```

And then you'll have access to the environment.
